#include <iostream>

using namespace std;

int a[100000];
int izbacivanja[100000];

void calc(int n) {
    izbacivanja[0] = 0;
    for(int i = 1; i < n; i++) {
        izbacivanja[i] = izbacivanja[i - 1] + (a[i] < a[i - 1]);
    }
}

void resi(int l, int r) {
    l--;
    r--;
    if(izbacivanja[r] - izbacivanja[l] <= 1) cout<<"DA"<<endl;
    else cout<<"NE"<<endl;
}

int main()
{
    int n, q;
    cin>>n;
    for(int i = 0; i < n; i++) cin>>a[i];
    calc(n);
    cin>>q;
    for(int i = 0; i < q; i++) {
        int l, r;
        cin>>l>>r;
        resi(l, r);
    }
    return 0;
}